{ pkgs, inputs, ... }:
{
home.packages = [ pkgs.copyq ];
  programs.tmux = {
    enable = true;
    mouse = true;
    prefix = "C-a";
    terminal = "tmux-256color";
    keyMode = "vi";
    escapeTime = 0;
    baseIndex = 1;
    plugins = with pkgs; [
      tmuxPlugins.sensible
      tmuxPlugins.pain-control
      tmuxPlugins.logging
      tmuxPlugins.resurrect
      tmuxPlugins.continuum
      tmuxPlugins.open
	  tmuxPlugins.tmux-fzf
      { plugin = inputs.minimal-tmux.packages.${pkgs.stdenv.hostPlatform.system}.default; }
    ];
    extraConfig = ''
				set -g set-clipboard on

				set -g base-index 1
				set-window-option -g pane-base-index 1

				set-window-option -g mode-keys vi

				bind-key -T copy-mode-vi v send-keys -X begin-selection
				bind -T copy-mode-vi y send-keys -X copy-pipe-and-cancel 'xclip -in -selection clipboard'
				bind -T copy-mode-vi MouseDragEnd1Pane send-keys -X copy-pipe-and-cancel "xclip -i -f -selection primary | xclip -i -selection clipboard"

				bind-key -T prefix T display-popup -E -h "40%" -w "80%" ~/.nix-profile/share/tmux-plugins/session-wizard/bin/t

      			set -g @continuum-restore 'on'

      			set -g default-terminal "tmux-256color"
      			set -ga terminal-overrides ",xterm-256color:Tc"                                                                         
      			set -as terminal-overrides ',*:Smulx=\E[4::%p1%dm'                                                   
      			set -as terminal-overrides ',*:Setulc=\E[58::2::%p1%{65536}%/%d::%p1%{256}%/%{255}%&%d::%p1%{255}%&%d%;m'

    '';
  };
}
